Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3802 closed defect (fixed)

RSB Build of Spike Fails on Second TIme (bug in upstream spike)

Reported by: Joel Sherrill Owned by: Hesham Almatary
Priority: normal Milestone: 5.1
Component: tool/rsb Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

See https://github.com/riscv/riscv-isa-sim/issues/348

When this is fixed in the upstream, bump the hash in the RSB. Until then, use the attached patch.

Attachments (1)

0001-Correct-Permission-on-Installed-Headers-and-Binaries.patch (813 bytes) - added by Joel Sherrill on 10/17/19 at 13:50:42.
Correct Permissions on Installed Programs and Headers

Download all attachments as: .zip

Change History (6)

Changed on 10/17/19 at 13:50:42 by Joel Sherrill

Correct Permissions on Installed Programs and Headers

comment:1 Changed on 10/23/19 at 22:55:00 by Joel Sherrill <joel@…>

In [changeset:"68870df775b4763bebf94995a019d8e4c50e465e/rtems-source-builder" 68870df/rtems-source-builder]:

Update Spike RSB recipe and correct installed permissions

Updates #3802.

comment:2 Changed on 10/24/19 at 12:32:44 by Joel Sherrill

Assigning to Hesham. Chris worked with me to simplify the recipe and apply my patch for this specific issue. Hesham concurrently had a patch to bump the spike version.

Hesham.. please use this ticket when you commit your changes on top of mine. Thanks.

comment:4 in reply to:  3 Changed on 10/24/19 at 23:17:08 by Chris Johns

Replying to Hesham Almatary:

OK to push this one? https://lists.rtems.org/pipermail/devel/2019-October/055910.html

What is all$ as a target? Is this something specific to spike?

comment:5 Changed on 12/13/19 at 15:21:06 by Joel Sherrill

Resolution: fixed
Status: assignedclosed

Spike builds now. The commit that fixed this probably missed including the ticket number.

Note: See TracTickets for help on using tickets.